> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/webhooks-v2/get-notification-attempts",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get notification attempts

> Get notification attempts by notification id




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /webhooks/{webhookId}/notifications/{notificationId}/attempts
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /webhooks/{webhookId}/notifications/{notificationId}/attempts:
    get:
      tags:
        - Webhooks V2
      summary: Get notification attempts
      description: |
        Get notification attempts by notification id
      operationId: getNotificationAttempts
      parameters:
        - name: webhookId
          description: The ID of the webhook to fetch
          required: true
          in: path
          schema:
            type: string
        - name: notificationId
          description: The ID of the notification to fetch
          required: true
          in: path
          schema:
            type: string
        - in: query
          name: pageCursor
          required: false
          description: Cursor of the required page
          schema:
            type: string
        - name: pageSize
          required: false
          in: query
          description: Maximum number of items in the page
          schema:
            minimum: 1
            maximum: 100
            default: 10
            example: 10
            type: number
      responses:
        '200':
          description: OK
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationAttemptsPaginatedResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<NotificationAttemptsPaginatedResponse>> =
            fireblocks.webhooksV2.getNotificationAttempts(webhooksV2ApiGetNotificationAttemptsRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<NotificationAttemptsPaginatedResponse>>
            response =
            fireblocks.webhooksV2().getNotificationAttempts(webhookId,
            notificationId, pageCursor, pageSize);
        - lang: Python
          source: >-
            response =
            fireblocks.webhooks_v2.get_notification_attempts(webhook_id,
            notification_id, page_cursor, page_size);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    NotificationAttemptsPaginatedResponse:
      type: object
      properties:
        data:
          type: array
          description: The data of the current page
          items:
            $ref: '#/components/schemas/NotificationAttempt'
        next:
          type: string
          description: The ID of the next page
          example: eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9
          nullable: true
      required:
        - data
    NotificationAttempt:
      type: object
      properties:
        sentTime:
          type: integer
          format: int64
          description: The time when the attempt was sent in milliseconds.
          example: 1625126400000
        duration:
          type: integer
          description: The duration of the attempt in milliseconds.
          example: 130
        responseCode:
          type: integer
          description: >-
            The response code of the attempt, when missing refer to
            failureReason.
          example: 200
        failureReason:
          type: string
          enum:
            - TIMED_OUT
            - NO_RESPONSE
          description: The request failure reason in case responseCode is missing.
          example: TIMED_OUT
      required:
        - sentTime
        - duration
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````